com.android.agf.asynctask

## Class LoadingComponents

- java.lang.Object
- - android.os.AsyncTask<String,Void,ArrayList<Component>>
  - - com.android.agf.asynctask.LoadingComponents

- Direct Known Subclasses:
    ComponentFragment.MyLoadingData, ComponentsActivity.LoadingData, PickComponentFragment.MyLoadingData

      public class LoadingComponents
      extends AsyncTask<String,Void,ArrayList<Component>>

  classe que implementa una asynctask per carregar els components disponibles per l'usuari
  Author:
    albert

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class android.os.AsyncTask

      `AsyncTask.Status`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ComponentDataSource` | `mCds`

    - ### Fields inherited from class android.os.AsyncTask

      `SERIAL_EXECUTOR, THREAD_POOL_EXECUTOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoadingComponents(String user, Context ctx)` Constructor, inici connexio base de dades

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ArrayList<Component>` | `doInBackground(String... urls)`

    - ### Methods inherited from class android.os.AsyncTask

      `cancel, execute, execute, executeOnExecutor, get, get, getStatus, isCancelled, onCancelled, onCancelled, onPostExecute, onPreExecute, onProgressUpdate, publishProgress`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mCds

          protected ComponentDataSource mCds

  - ### Constructor Detail

    - #### LoadingComponents

          public LoadingComponents(String user,
                           Context ctx)

      Constructor, inici connexio base de dades
      Parameters:
        `user` -
        `ctx` -

  - ### Method Detail

    - #### doInBackground

          protected ArrayList<Component> doInBackground(String... urls)

      Specified by:
        `doInBackground` in class `AsyncTask<String,Void,ArrayList<Component>>`